{ config, pkgs, lib, ... }:

with lib;
let
  cfg = config.modules.desktop.gamingKernel;
in
{
  options.modules.desktop.gamingKernel = {
    enable = mkEnableOption ''
      Enable gaming kernel with my custom configurations
    '';
  };
  config = mkIf cfg.enable {
    virtualisation.waydroid.enable = true;
  };
}