{ config, pkgs, lib, ... }:

with lib;
let
  cfg = config.modules.desktop.waydroid;
in
{
  options.modules.desktop.waydroid = {
    enable = mkEnableOption ''
      Enable waydroid with my custom configurations
    '';
  };
  config = mkIf cfg.enable {
    boot.kernelPackages = pkgs.linuxPackages_zen;
  };
}